# Transformer

interface Transformer<OUT, IN>

A `Transformer` transforms objects of type.

Implementations are free to return new objects or mutate the incoming value.

#### Parameters

<OUT>

The type the value is transformed to.

<IN>

The type of the value to be transformed.

## Functions

transform
Link copied to clipboard
abstract fun transform(in: IN): OUT
Transforms the given object, and returns the transformed value.